Package com.collabnet.ce.soap60.webservices.tracker

# Class TrackerAppSoapStub

java.lang.Object
com.collabnet.ce.soap60.webservices.ClientSoapStub
com.collabnet.ce.soap60.webservices.tracker.TrackerAppSoapStub

All Implemented Interfaces:
  `ITrackerAppSoap`

public class TrackerAppSoapStub extends ClientSoapStub implements ITrackerAppSoap

- ## Field Summary

  ### Fields inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `DEFAULT_CLIENT_TIME_OUT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `TrackerAppSoapStub(String soapServerUrl)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `addDateField(String sessionId, String trackerId, String fieldName, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String helpText)`
  Adds a custom Date field to a tracker.
  `void`
  `addMultiSelectField(String sessionId, String trackerId, String fieldName, int displayLines, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] fieldValues, String[] defaultValues, String helpText)`
  Adds a custom multi select field to a tracker.
  `void`
  `addSeparator(String sessionId, String trackerId, String separatorType, String separatorLabel)`
  Adds a separator to a tracker.
  `void`
  `addSingleSelectChildField(String sessionId, String trackerId, String fieldName, String[] fieldValues, String parentFieldId, SoapNamedValues parentChildFieldValueMap, String helpText)`
  Adds a custom single select field to a tracker.
  `void`
  `addSingleSelectField(String sessionId, String trackerId, String fieldName, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] fieldValues, String defaultValue, String helpText)`
  Adds a custom single select field to a tracker.
  `void`
  `addTextField(String sessionId, String trackerId, String fieldName, int displayColumns, int displayLines, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String defaultValue, String helpText, String pattern)`
  Adds a custom text field to a tracker.
  `void`
  `addUserSelectField(String sessionId, String trackerId, String fieldName, int displayLines, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] defaultValues, String userFilter, String helpText)`
  Adds a custom User selection field to a tracker.
  `Tracker2SoapDO`
  `cloneTracker(String sessionId, String srcTrackerId, String destTrackerTitle, String destTrackerDescription)`
  Clone Tracker within the same project
  `Tracker2SoapDO`
  `cloneTrackerAcrossProject(String sessionId, String srcTrackerId, String destProjectId, String destTrackerTitle, String destTrackerDescription)`
  Clone Tracker across the project
  `void`
  `copyWorkflowTransitions(String sessionId, String srcTrackerId, String dstTrackerId)`
  Copies workflow transitions between two trackers.
  `ArtifactSoapDO`
  `createArtifact(String sessionId, String trackerId, String title, String description, String group, String category, String status, String customer, int priority, int estimatedEffort, int remainingEffort, boolean autosumming, int points, String assignedUsername, String releaseId, String planningFolderId, SoapFieldValues flexFields, String attachmentFileName, String attachmentMimeType, String attachmentFileId)`
  Creates a new artifact.
  `ArtifactSoapDO`
  `createArtifact2(String sessionId, String trackerId, String title, String description, String group, String category, String status, String customer, int priority, int estimatedEffort, int remainingEffort, boolean autosumming, int points, String assignedUsername, String releaseId, String planningFolderId, SoapFieldValues flexFields, AttachmentSoapDO[] attachments)`
  Creates a new artifact with multiple attachments.
  `Artifact2SoapDO`
  `createArtifact3(String sessionId, String trackerId, String title, String description, String group, String category, String status, String customer, int priority, int estimatedEffort, int remainingEffort, boolean autosumming, int points, boolean autoSummingPoints, String assignedUsername, String releaseId, String planningFolderId, String teamId, SoapFieldValues flexFields, AttachmentSoapDO[] attachments)`
  Creates a new artifact with multiple attachments and flag to enable the autosumming_points.
  `Artifact3SoapDO`
  `createArtifact4(String sessionId, String trackerId, String title, String description, String group, String category, String status, String customer, int priority, int estimatedEffort, int remainingEffort, boolean autosumming, int points, boolean autoSummingPoints, String assignedUsername, String releaseId, String planningFolderId, String teamId, SoapFieldValues flexFields, AttachmentSoapDO[] attachments, String[] tagNames)`
  Creates a new artifact with multiple attachments, flag to enable the autosumming_points and tags.
  `void`
  `createArtifactDependency(String sessionId, String originId, String targetId, String desc)`
  Creates an artifact dependency between two artifacts.
  `TrackerSoapDO`
  `createTracker(String sessionId, String projectId, String trackerName, String trackerTitle, String trackerDescription, String icon)`
  Creates a new tracker with an icon
  `Tracker2SoapDO`
  `createTracker2(String sessionId, String projectId, String trackerName, String trackerTitle, String trackerDescription, String icon, String trackerUnitId)`
  Creates a new tracker with an icon
  `Tracker3SoapDO`
  `createTracker3(String sessionId, String projectId, String trackerName, String trackerTitle, String trackerDescription, String icon, String trackerUnitId, boolean autosumForeignChildren)`
  Creates a new tracker with autosum foreign children support
  `void`
  `deleteArtifact(String sessionId, String artifactId)`
  Deletes an artifact.
  `void`
  `deleteField(String sessionId, String objectId, String fieldId)`
  Deletes a custom/flex-field .
  `void`
  `deleteSeparator(String sessionId, String trackerId, String layoutId)`
  Deletes a separator of a tracker layout.
  `ArtifactSoapList`
  `findArtifacts(String sessionId, String queryString, String projectId, boolean searchAttachments)`
  Finds a list of artifacts matching a search string.
  `Artifact2SoapList`
  `findArtifacts2(String sessionId, String queryString, String projectId, boolean searchAttachments)`
  Finds a list of artifacts matching a search string.
  `WorkflowTransitionSoapList`
  `getAllowedWorkflowTransitionList(String sessionId, String trackerId)`
  Gets workflow transitions for the tracker.
  `WorkflowTransition2SoapList`
  `getAllowedWorkflowTransitionList2(String sessionId, String trackerId)`
  Gets workflow transitions for the tracker.
  `WorkflowTransition3SoapList`
  `getAllowedWorkflowTransitionList3(String sessionId, String trackerId)`
  Gets workflow transitions for the tracker.
  `ArtifactSoapDO`
  `getArtifactData(String sessionId, String artifactId)`
  Returns data associated with the specified artifact.
  `Artifact2SoapDO`
  `getArtifactData2(String sessionId, String artifactId)`
  Returns data associated with the specified artifact.
  `Artifact3SoapDO`
  `getArtifactData3(String sessionId, String artifactId)`
  Returns data associated with the specified artifact.
  `ArtifactDetailSoapList`
  `getArtifactDetailList(String sessionId, String trackerId, String[] selectedColumns, SoapFilter[] filters, SoapSortKey[] sortKeys, int startIndex, int maxRows, boolean exceptionIfExpiredCache, boolean forceNewQuery)`
  Returns a filtered and ordered list of artifacts from the specified tracker.
  `ArtifactDetail2SoapList`
  `getArtifactDetailList2(String sessionId, String trackerId, String[] selectedColumns, SoapFilter[] filters, SoapSortKey[] sortKeys, int startIndex, int maxRows, boolean exceptionIfExpiredCache, boolean forceNewQuery)`
  Returns a filtered and ordered list of artifacts from the specified tracker.
  `ArtifactSoapList`
  `getArtifactList(String sessionId, String containerId, SoapFilter[] filters)`
  Returns a filtered list of artifacts within the specified container (project or tracker).
  `Artifact2SoapList`
  `getArtifactList2(String sessionId, String containerId, SoapFilter[] filters)`
  Returns a filtered list of artifacts within the specified container (project or tracker).
  `ArtifactDependencySoapList`
  `getChildDependencyList(String sessionId, String artifactId)`
  Gets the dependency list for an artifact where the artifact is the origin artifact.
  `ArtifactDetailSoapList`
  `getCrossTrackerArtifactList(String sessionId, String containerId, SoapFilter[] filters, String[] selectedColumns)`
  Returns a filtered list of artifacts within the specified container (project or tracker).
  `ArtifactDetail2SoapList`
  `getCrossTrackerArtifactList2(String sessionId, String containerId, SoapFilter[] filters, String[] selectedColumns)`
  Returns a filtered list of artifacts within the specified container (project or tracker).
  `TrackerFieldSoapDO[]`
  `getFields(String sessionId, String trackerId)`
  Returns the custom/flex-fields associated with a specific tracker.
  `TrackerField2SoapDO[]`
  `getFields2(String sessionId, String trackerId)`
  Returns the custom/flex-fields associated with a specific tracker.
  `OrderedTrackerFieldSoapList`
  `getOrderedTrackerFields(String sessionId, String trackerId)`
  Returns all fields and separators in the given tracker with layout information.
  `ArtifactDependencySoapList`
  `getParentDependencyList(String sessionId, String artifactId)`
  Gets the dependency list for an artifact where the artifact is the target artifact.
  `Tracker2SoapDO`
  `getTracker2Data(String sessionId, String trackerId)`
  Returns a data object for a given tracker
  `Tracker2SoapList`
  `getTracker2List(String sessionId, String projectId)`
  Returns a list of trackers for a project in the order that they are displayed in the UI.
  `Tracker3SoapDO`
  `getTracker3Data(String sessionId, String trackerId)`
  Returns a data object for a given tracker
  `Tracker3SoapList`
  `getTracker3List(String sessionId, String projectId)`
  Returns a list of trackers for a project in the order that they are displayed in the UI.
  `TrackerSoapDO`
  `getTrackerData(String sessionId, String trackerId)`
  Returns a data object for a given tracker
  `TrackerSoapList`
  `getTrackerList(String sessionId, String projectId)`
  Returns a list of trackers for a project in the order that they are displayed in the UI.
  `TrackerUnitSoapList`
  `getUnitsByProject(String sessionId, String projectId)`
  Gets the units for a given project.
  `ArtifactSoapDO`
  `moveArtifact(String sessionId, String artifactId, String targetFolderId, String newAssignee)`
  Moves an artifact to a specified target folder.
  `Artifact2SoapDO`
  `moveArtifact2(String sessionId, String artifactId, String targetFolderId, String newAssignee)`
  Moves an artifact to a specified target folder.
  `void`
  `removeArtifactDependency(String sessionId, String originId, String targetId)`
  Removes an artifact dependency between two artifacts.
  `void`
  `reorderTrackerFields(String sessionId, String trackerId, String[] layoutIds)`
  Sets a new order of the fields and the separators within a tracker.
  `void`
  `reorderTrackers(String sessionId, String[] trackerIds)`
  Sets a new order of the trackers within a project.
  `void`
  `setArtifactData(String sessionId, ArtifactSoapDO artifactData, String comment, String attachmentFileName, String attachmentMimeType, String attachmentFileId)`
  Sets data associated with the specified artifact.
  `void`
  `setArtifactData2(String sessionId, ArtifactSoapDO artifactData, String comment, AttachmentSoapDO[] attachments)`
  Sets data associated along with multiple attachments with the specified artifact.
  `void`
  `setArtifactData3(String sessionId, Artifact2SoapDO artifactData, String comment, AttachmentSoapDO[] attachments)`
  Sets data associated along with multiple attachments with the specified artifact.
  `void`
  `setArtifactData4(String sessionId, Artifact3SoapDO artifactData, String comment, AttachmentSoapDO[] attachments)`
  Sets data associated along with multiple attachments with the specified artifact.
  `void`
  `setArtifactRank(String sessionId, String planningFolderId, String artfToRankId, String artfBeforeId, String artfAfterId)`
  Sets the rank of an artifact relative to one or more other artifacts
  `void`
  `setField(String sessionId, String objectId, TrackerFieldSoapDO fieldData)`
  Sets a custom/flex-field that is associated with a specific folder
  `void`
  `setField2(String sessionId, String objectId, TrackerField2SoapDO fieldData)`
  Sets a custom/flex-field that is associated with a specific folder
  `void`
  `setTracker2Data(String sessionId, Tracker2SoapDO trackerData)`
  Sets data on a specific tracker
  `void`
  `setTracker3Data(String sessionId, Tracker3SoapDO trackerData)`
  Sets data on a specific tracker with autosum foreign children support
  `void`
  `setTrackerData(String sessionId, TrackerSoapDO trackerData)`
  Sets data on a specific tracker

  ### Methods inherited from class com.collabnet.ce.soap60.webservices.ClientSoapStub

  `getServiceCall, getSoapServer, getTimeout, setTimeout, soapParam`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### TrackerAppSoapStub

    public TrackerAppSoapStub(String soapServerUrl)

- ## Method Details

  - ### getTrackerList

    public TrackerSoapList getTrackerList(String sessionId, String projectId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Returns a list of trackers for a project in the order that they are displayed in the UI.
    Specified by:
      `getTrackerList` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project id.
    Returns:
      List of trackers within the project.
    Throws:
      `RemoteException`

  - ### getTracker2List

    public Tracker2SoapList getTracker2List(String sessionId, String projectId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Returns a list of trackers for a project in the order that they are displayed in the UI.
    Specified by:
      `getTracker2List` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project id.
    Returns:
      List of trackers within the project.
    Throws:
      `RemoteException`

  - ### getTracker3List

    public Tracker3SoapList getTracker3List(String sessionId, String projectId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Returns a list of trackers for a project in the order that they are displayed in the UI.
    Specified by:
      `getTracker3List` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - Project id.
    Returns:
      List of trackers within the project.
    Throws:
      `RemoteException`

  - ### getTrackerData

    public TrackerSoapDO getTrackerData(String sessionId, String trackerId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Returns a data object for a given tracker
    Specified by:
      `getTrackerData` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerId` - Tracker id.
    Returns:
      Detailed data on the tracker.
    Throws:
      `RemoteException`

  - ### getTracker2Data

    public Tracker2SoapDO getTracker2Data(String sessionId, String trackerId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Returns a data object for a given tracker
    Specified by:
      `getTracker2Data` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerId` - Tracker id.
    Returns:
      Detailed data on the tracker.
    Throws:
      `RemoteException`

  - ### getTracker3Data

    public Tracker3SoapDO getTracker3Data(String sessionId, String trackerId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Returns a data object for a given tracker
    Specified by:
      `getTracker3Data` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerId` - Tracker id.
    Returns:
      Detailed data on the tracker.
    Throws:
      `RemoteException`

  - ### setTrackerData

    public void setTrackerData(String sessionId, TrackerSoapDO trackerData) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Sets data on a specific tracker
    Specified by:
      `setTrackerData` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerData` - Detailed data on the tracker to set.
    Throws:
      `RemoteException`

  - ### setTracker2Data

    public void setTracker2Data(String sessionId, Tracker2SoapDO trackerData) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Sets data on a specific tracker
    Specified by:
      `setTracker2Data` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerData` - Detailed data on the tracker to set.
    Throws:
      `RemoteException`

  - ### setTracker3Data

    public void setTracker3Data(String sessionId, Tracker3SoapDO trackerData) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Sets data on a specific tracker with autosum foreign children support
    Specified by:
      `setTracker3Data` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerData` - Detailed data on the tracker to set.
    Throws:
      `RemoteException`

  - ### createTracker

    public TrackerSoapDO createTracker(String sessionId, String projectId, String trackerName, String trackerTitle, String trackerDescription, String icon) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Creates a new tracker with an icon
    Specified by:
      `createTracker` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - The id of the project under which to create the new tracker
      `trackerName` - The name of the new tracker
      `trackerTitle` - The title of the new tracker
      `trackerDescription` - The description of the new tracker
      `icon` - The tracker icon (null or something between "icon_01.png" and "icon_99.png")
    Returns:
      the tracker soap object
    Throws:
      `RemoteException`

  - ### createTracker2

    public Tracker2SoapDO createTracker2(String sessionId, String projectId, String trackerName, String trackerTitle, String trackerDescription, String icon, String trackerUnitId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Creates a new tracker with an icon
    Specified by:
      `createTracker2` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - The id of the project under which to create the new tracker
      `trackerName` - The name of the new tracker
      `trackerTitle` - The title of the new tracker
      `trackerDescription` - The description of the new tracker
      `icon` - The tracker icon (null or something between "icon_01.png" and "icon_99.png")
      `trackerUnitId` - The tracker unit
    Returns:
      the tracker soap object
    Throws:
      `RemoteException`

  - ### createTracker3

    public Tracker3SoapDO createTracker3(String sessionId, String projectId, String trackerName, String trackerTitle, String trackerDescription, String icon, String trackerUnitId, boolean autosumForeignChildren) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Creates a new tracker with autosum foreign children support
    Specified by:
      `createTracker3` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - The id of the project under which to create the new tracker
      `trackerName` - The name of the new tracker
      `trackerTitle` - The title of the new tracker
      `trackerDescription` - The description of the new tracker
      `icon` - The tracker icon (null or something between "icon_01.png" and "icon_99.png")
      `trackerUnitId` - The tracker unit
      `autosumForeignChildren` - The flag indicating whether the autosum calculation of effort and points includes children from foreign projects
    Returns:
      the tracker soap object
    Throws:
      `RemoteException`

  - ### setField

    public void setField(String sessionId, String objectId, TrackerFieldSoapDO fieldData) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Sets a custom/flex-field that is associated with a specific folder
    Specified by:
      `setField` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `objectId` - Object (e.g. tracker) for which to set the field information.
      `fieldData` - the custom/flex-field to associate with a specific folder
    Throws:
      `RemoteException`
    See Also:
      - `FaultSummary`

  - ### setField2

    public void setField2(String sessionId, String objectId, TrackerField2SoapDO fieldData) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Sets a custom/flex-field that is associated with a specific folder
    Specified by:
      `setField2` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `objectId` - Object (e.g. tracker) for which to set the field information.
      `fieldData` - the custom/flex-field to associate with a specific folder
    Throws:
      `RemoteException`
    See Also:
      - `FaultSummary`

  - ### addTextField

    public void addTextField(String sessionId, String trackerId, String fieldName, int displayColumns, int displayLines, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String defaultValue, String helpText, String pattern) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Adds a custom text field to a tracker.
    Specified by:
      `addTextField` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerId` - The tracker to add the field to.
      `fieldName` - the name of the field
      `displayColumns` - the width of the display area
      `displayLines` - the height of the display area
      `isRequired` - if the field is required
      `isDisabled` - if the field is disabled
      `isHiddenOnCreate` - if the field is hidden when first created
      `defaultValue` - default value
      `helpText` - The help text for the field
      `pattern` - The field validation pattern
    Throws:
      `RemoteException`

  - ### addSingleSelectChildField

    public void addSingleSelectChildField(String sessionId, String trackerId, String fieldName, String[] fieldValues, String parentFieldId, SoapNamedValues parentChildFieldValueMap, String helpText) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Adds a custom single select field to a tracker.
    Specified by:
      `addSingleSelectChildField` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerId` - The tracker to add the field to.
      `fieldName` - the name of the field
      `fieldValues` - Array of valid field values
      `parentFieldId` - The id of the parent field
      `parentChildFieldValueMap` - soapNamedValues which keeps mapping between parent field values and child values
      `helpText` - the help text for the field
    Throws:
      `RemoteException`

  - ### addSingleSelectField

    public void addSingleSelectField(String sessionId, String trackerId, String fieldName, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] fieldValues, String defaultValue, String helpText) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Adds a custom single select field to a tracker.
    Specified by:
      `addSingleSelectField` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerId` - The tracker to add the field to.
      `fieldName` - the name of the field
      `isRequired` - if the field is required
      `isDisabled` - if the field is disabled
      `isHiddenOnCreate` - if the field is hidden when first created
      `fieldValues` - Array of valid field values
      `defaultValue` - default value
      `helpText` - the help text for the field
    Throws:
      `RemoteException`

  - ### addMultiSelectField

    public void addMultiSelectField(String sessionId, String trackerId, String fieldName, int displayLines, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] fieldValues, String[] defaultValues, String helpText) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Adds a custom multi select field to a tracker.
    Specified by:
      `addMultiSelectField` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerId` - The tracker to add the field to.
      `fieldName` - the name of the field
      `displayLines` - the height of the display area
      `isRequired` - if the field is required
      `isDisabled` - if the field is disabled
      `isHiddenOnCreate` - if the field is hidden when first created
      `fieldValues` - possible values
      `defaultValues` - default values
      `helpText` - the help text for the field
    Throws:
      `RemoteException`

  - ### addUserSelectField

    public void addUserSelectField(String sessionId, String trackerId, String fieldName, int displayLines, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String[] defaultValues, String userFilter, String helpText) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Adds a custom User selection field to a tracker.
    Specified by:
      `addUserSelectField` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerId` - The tracker to add the field to.
      `fieldName` - the name of the field
      `displayLines` - the height of the display area
      `isRequired` - if the field is required
      `isDisabled` - if the field is disabled
      `isHiddenOnCreate` - if the field is hidden when first created
      `defaultValues` - default values for this field. Must be valid usernames
      `userFilter` - is the filter
      `helpText` - The help text of the field
    Throws:
      `RemoteException`
    See Also:
      - `TrackerFieldSoapDO.FIELD_USER_FILTER_PROJECT_MEMBER`
      - `TrackerFieldSoapDO.FIELD_USER_FILTER_ALL`

  - ### addDateField

    public void addDateField(String sessionId, String trackerId, String fieldName, boolean isRequired, boolean isDisabled, boolean isHiddenOnCreate, String helpText) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Adds a custom Date field to a tracker.
    Specified by:
      `addDateField` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerId` - The tracker to add the field to.
      `fieldName` - the name of the field
      `isRequired` - if the field is required
      `isDisabled` - if the field is disabled
      `isHiddenOnCreate` - if the field is hidden when first created
      `helpText` - the help text of the field
    Throws:
      `RemoteException`

  - ### deleteField

    public void deleteField(String sessionId, String objectId, String fieldId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Deletes a custom/flex-field .
    Specified by:
      `deleteField` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `objectId` - Object (e.g. tracker).
      `fieldId` - the id of the field to delete
    Throws:
      `RemoteException`

  - ### getFields

    public TrackerFieldSoapDO[] getFields(String sessionId, String trackerId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Returns the custom/flex-fields associated with a specific tracker.
    Specified by:
      `getFields` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerId` - The tracker for which to return field information.
    Returns:
      Array of all field values.
    Throws:
      `RemoteException`

  - ### getFields2

    public TrackerField2SoapDO[] getFields2(String sessionId, String trackerId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Returns the custom/flex-fields associated with a specific tracker.
    Specified by:
      `getFields2` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerId` - The tracker for which to return field information.
    Returns:
      Array of all field values.
    Throws:
      `RemoteException`

  - ### addSeparator

    public void addSeparator(String sessionId, String trackerId, String separatorType, String separatorLabel) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Adds a separator to a tracker.
    Specified by:
      `addSeparator` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerId` - The tracker to add the separator to.
      `separatorType` - the type of the separator
      `separatorLabel` - the label of the separator
    Throws:
      `RemoteException`

  - ### deleteSeparator

    public void deleteSeparator(String sessionId, String trackerId, String layoutId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Deletes a separator of a tracker layout.
    Specified by:
      `deleteSeparator` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerId` - The tracker to delete the separator from.
      `layoutId` - the layout id of the separator. To get the layout id, use getOrderedTrackerFields.
    Throws:
      `RemoteException`

  - ### getOrderedTrackerFields

    public OrderedTrackerFieldSoapList getOrderedTrackerFields(String sessionId, String trackerId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Returns all fields and separators in the given tracker with layout information.
    Specified by:
      `getOrderedTrackerFields` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerId` - The tracker for which to return field information.
    Returns:
      Array of all fields and separators.
    Throws:
      `RemoteException`

  - ### reorderTrackerFields

    public void reorderTrackerFields(String sessionId, String trackerId, String[] layoutIds) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Sets a new order of the fields and the separators within a tracker.
    Specified by:
      `reorderTrackerFields` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerId` - Id of tracker which all the fields and the separators belong to.
      `layoutIds` - An array of layout ids which can be obtained by getOrderedTrackerFields().
    Throws:
      `RemoteException`

  - ### getArtifactList

    public ArtifactSoapList getArtifactList(String sessionId, String containerId, SoapFilter[] filters) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Returns a filtered list of artifacts within the specified container (project or tracker).
    Specified by:
      `getArtifactList` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `containerId` - ID of a project or a tracker.
      `filters` - Array of filters to apply (null to return unfiltered list).
    Returns:
      List of filtered artifacts.
    Throws:
      `RemoteException`

  - ### getArtifactList2

    public Artifact2SoapList getArtifactList2(String sessionId, String containerId, SoapFilter[] filters) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Returns a filtered list of artifacts within the specified container (project or tracker).
    Specified by:
      `getArtifactList2` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `containerId` - ID of a project or a tracker.
      `filters` - Array of filters to apply (null to return unfiltered list).
    Returns:
      List of filtered artifacts.
    Throws:
      `RemoteException`

  - ### getCrossTrackerArtifactList

    public ArtifactDetailSoapList getCrossTrackerArtifactList(String sessionId, String containerId, SoapFilter[] filters, String[] selectedColumns) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Returns a filtered list of artifacts within the specified container (project or tracker).
    Specified by:
      `getCrossTrackerArtifactList` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `containerId` - ID of a project or a tracker. (should not be null)
      `filters` - Array of filters to apply (null to return unfiltered list).
      `selectedColumns` - String array of column names to be selected (null to return all columns).
    Returns:
      List of filtered artifacts.
    Throws:
      `RemoteException`

  - ### getCrossTrackerArtifactList2

    public ArtifactDetail2SoapList getCrossTrackerArtifactList2(String sessionId, String containerId, SoapFilter[] filters, String[] selectedColumns) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Returns a filtered list of artifacts within the specified container (project or tracker).
    Specified by:
      `getCrossTrackerArtifactList2` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `containerId` - ID of a project or a tracker. (should not be null)
      `filters` - Array of filters to apply (null to return unfiltered list).
      `selectedColumns` - String array of column names to be selected (null to return all columns).
    Returns:
      List of filtered artifacts.
    Throws:
      `RemoteException`

  - ### getArtifactDetailList

    public ArtifactDetailSoapList getArtifactDetailList(String sessionId, String trackerId, String[] selectedColumns, SoapFilter[] filters, SoapSortKey[] sortKeys, int startIndex, int maxRows, boolean exceptionIfExpiredCache, boolean forceNewQuery) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Returns a filtered and ordered list of artifacts from the specified tracker.
    Specified by:
      `getArtifactDetailList` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerId` - Tracker id.
      `selectedColumns` - String array of column names to be selected (null to return all columns).
      `filters` - Array of filters to apply (null to return unfiltered list).
      `sortKeys` - Array of `SortKey` to apply
      `startIndex` - The index from which to return the results.
      `maxRows` - The max quantity of elements to be returned (-1 will return the full list).
      `exceptionIfExpiredCache` - Causes the method to throw an exception if it doesn't have the result in the cache
      `forceNewQuery` - force the re-execution of the query, ignoring any cached copy of the search result.
    Returns:
      List of filtered artifacts.
    Throws:
      `RemoteException`

  - ### getArtifactDetailList2

    public ArtifactDetail2SoapList getArtifactDetailList2(String sessionId, String trackerId, String[] selectedColumns, SoapFilter[] filters, SoapSortKey[] sortKeys, int startIndex, int maxRows, boolean exceptionIfExpiredCache, boolean forceNewQuery) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Returns a filtered and ordered list of artifacts from the specified tracker.
    Specified by:
      `getArtifactDetailList2` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerId` - Tracker id.

      See ArtifactSoapDO for filters names constant values

      `sortKeys` - Array of `SortKey` to apply (null to return a default order list that is by ID).
      `startIndex` - The index from which to return the results.
      `maxRows` - The max quantity of elements to be returned (-1 will return the full list).
      `exceptionIfExpiredCache` - Causes the method to throw exception if it doesn't have the results in the cache
      `forceNewQuery` - force the re-execution of the query, ignoring any cached copy of the search result.
    Returns:
      List of filtered artifacts.
    Throws:
      `RemoteException`

  - ### findArtifacts

    public ArtifactSoapList findArtifacts(String sessionId, String queryString, String projectId, boolean searchAttachments) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Finds a list of artifacts matching a search string.
    Specified by:
      `findArtifacts` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `queryString` - Query string.
      `projectId` - The project in which to find artifacts. (if null, search all projects)
      `searchAttachments` - Whether to search attachments.
    Returns:
      List of artifacts matching search criteria.
    Throws:
      `RemoteException`

  - ### findArtifacts2

    public Artifact2SoapList findArtifacts2(String sessionId, String queryString, String projectId, boolean searchAttachments) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Finds a list of artifacts matching a search string.
    Specified by:
      `findArtifacts2` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `queryString` - Query string.
      `projectId` - The project in which to find artifacts. (if null, search all projects)
      `searchAttachments` - Whether to search attachments.
    Returns:
      List of artifacts matching search criteria.
    Throws:
      `RemoteException`

  - ### getArtifactData

    public ArtifactSoapDO getArtifactData(String sessionId, String artifactId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Returns data associated with the specified artifact.
    Specified by:
      `getArtifactData` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `artifactId` - Artifact id.
    Returns:
      the data associated with the artifact at the given path
    Throws:
      `RemoteException`

  - ### getArtifactData2

    public Artifact2SoapDO getArtifactData2(String sessionId, String artifactId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Returns data associated with the specified artifact.
    Specified by:
      `getArtifactData2` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `artifactId` - Artifact id.
    Returns:
      the data associated with the artifact at the given path
    Throws:
      `RemoteException`

  - ### getArtifactData3

    public Artifact3SoapDO getArtifactData3(String sessionId, String artifactId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Returns data associated with the specified artifact.
    Specified by:
      `getArtifactData3` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `artifactId` - Artifact id.
    Returns:
      the data associated with the artifact at the given path
    Throws:
      `RemoteException`

  - ### setArtifactData

    public void setArtifactData(String sessionId, ArtifactSoapDO artifactData, String comment, String attachmentFileName, String attachmentMimeType, String attachmentFileId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Sets data associated with the specified artifact.
    Specified by:
      `setArtifactData` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `artifactData` - the data associated with the artifact at the given path
      `comment` - Comment associated with the change.
      `attachmentFileName` - Name of the attached file (or null)
      `attachmentMimeType` - Mime type of the attached file (or null)
      `attachmentFileId` - ID of the attached file (previously uploaded via *FileStorage service) or null
    Throws:
      `RemoteException`

  - ### setArtifactData2

    public void setArtifactData2(String sessionId, ArtifactSoapDO artifactData, String comment, AttachmentSoapDO[] attachments) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Sets data associated along with multiple attachments with the specified artifact.
    Specified by:
      `setArtifactData2` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `artifactData` - the data associated with the artifact at the given path
      `comment` - Comment associated with the change.
      `attachments` - attached file List
    Throws:
      `RemoteException`

  - ### setArtifactData3

    public void setArtifactData3(String sessionId, Artifact2SoapDO artifactData, String comment, AttachmentSoapDO[] attachments) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Sets data associated along with multiple attachments with the specified artifact.
    Specified by:
      `setArtifactData3` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `artifactData` - the data associated with the artifact at the given path
      `comment` - Comment associated with the change.
      `attachments` - attached file List
    Throws:
      `RemoteException`

  - ### setArtifactData4

    public void setArtifactData4(String sessionId, Artifact3SoapDO artifactData, String comment, AttachmentSoapDO[] attachments) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Sets data associated along with multiple attachments with the specified artifact.
    Specified by:
      `setArtifactData4` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `artifactData` - the data associated with the artifact at the given path
      `comment` - Comment associated with the change.
      `attachments` - attached file List
    Throws:
      `RemoteException`

  - ### createArtifact

    public ArtifactSoapDO createArtifact(String sessionId, String trackerId, String title, String description, String group, String category, String status, String customer, int priority, int estimatedEffort, int remainingEffort, boolean autosumming, int points, String assignedUsername, String releaseId, String planningFolderId, SoapFieldValues flexFields, String attachmentFileName, String attachmentMimeType, String attachmentFileId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Creates a new artifact.
    Specified by:
      `createArtifact` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerId` - Tracker id.
      `title` - Artifact title.
      `description` - Artifact description.
      `group` - Artifact group.
      `category` - Artifact category.
      `status` - Artifact status.
      `customer` - Customer.
      `priority` - Artifact priority.
      `estimatedEffort` - Estimated effort to close artifact.
      `remainingEffort` - Remaining effort to close artifact.
      `autosumming` - Determines whether autosumming should be enabled for the newly created artifact.
      `points` - The story points for this artifact.
      `assignedUsername` - User this artifact should be assigned to.
      `releaseId` - Release this artifact is assigned with.
      `planningFolderId` - planning folder, this artifact belongs to
      `flexFields` - Flex field values.
      `attachmentFileName` - Name of the attached file (or null)
      `attachmentMimeType` - Mime type of the attached file (or null)
      `attachmentFileId` - ID of the attached file (previously uploaded via *FileStorage service) or null
    Returns:
      Newly created artifact object.
    Throws:
      `RemoteException`

  - ### createArtifact2

    public ArtifactSoapDO createArtifact2(String sessionId, String trackerId, String title, String description, String group, String category, String status, String customer, int priority, int estimatedEffort, int remainingEffort, boolean autosumming, int points, String assignedUsername, String releaseId, String planningFolderId, SoapFieldValues flexFields, AttachmentSoapDO[] attachments) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Creates a new artifact with multiple attachments.
    Specified by:
      `createArtifact2` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerId` - Tracker id.
      `title` - Artifact title.
      `description` - Artifact description.
      `group` - Artifact group.
      `category` - Artifact category.
      `status` - Artifact status.
      `customer` - Customer.
      `priority` - Artifact priority.
      `estimatedEffort` - Estimated effort to close artifact.
      `remainingEffort` - Remaining effort to close artifact.
      `autosumming` - Determines whether autosumming should be enabled for the newly created artifact.
      `points` - The story points for this artifact.
      `assignedUsername` - User this artifact should be assigned to.
      `releaseId` - Release this artifact is assigned with.
      `planningFolderId` - planning folder, this artifact belongs to
      `flexFields` - Flex field values.
      `attachments` - attached file List (or null)
    Returns:
      Newly created artifact object.
    Throws:
      `RemoteException`

  - ### createArtifact3

    public Artifact2SoapDO createArtifact3(String sessionId, String trackerId, String title, String description, String group, String category, String status, String customer, int priority, int estimatedEffort, int remainingEffort, boolean autosumming, int points, boolean autoSummingPoints, String assignedUsername, String releaseId, String planningFolderId, String teamId, SoapFieldValues flexFields, AttachmentSoapDO[] attachments) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Creates a new artifact with multiple attachments and flag to enable the autosumming_points.
    Specified by:
      `createArtifact3` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerId` - Tracker id.
      `title` - Artifact title.
      `description` - Artifact description.
      `group` - Artifact group.
      `category` - Artifact category.
      `status` - Artifact status.
      `customer` - Customer.
      `priority` - Artifact priority.
      `estimatedEffort` - Estimated effort to close artifact. This will be ignored if autosumming is set to true.
      `remainingEffort` - Remaining effort to close artifact. This will be ignored if autosumming is set to true.
      `autosumming` - Determines whether autosumming should be enabled for the newly created artifact.
      `points` - The story points for this artifact. This will be ignored if autoSummingPoints is set to true.
      `autoSummingPoints` - Determines whether autoSummingPoints should be enabled for the newly created artifact.
      `assignedUsername` - User this artifact should be assigned to.
      `releaseId` - Release this artifact is assigned with.
      `planningFolderId` - planning folder, this artifact belongs to
      `teamId` - team, this artifact belongs to
      `flexFields` - Flex field values.
      `attachments` - attached file List (or null)
    Returns:
      Newly created artifact object.
    Throws:
      `RemoteException`

  - ### createArtifact4

    public Artifact3SoapDO createArtifact4(String sessionId, String trackerId, String title, String description, String group, String category, String status, String customer, int priority, int estimatedEffort, int remainingEffort, boolean autosumming, int points, boolean autoSummingPoints, String assignedUsername, String releaseId, String planningFolderId, String teamId, SoapFieldValues flexFields, AttachmentSoapDO[] attachments, String[] tagNames) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Creates a new artifact with multiple attachments, flag to enable the autosumming_points and tags.
    Specified by:
      `createArtifact4` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerId` - Tracker id.
      `title` - Artifact title.
      `description` - Artifact description.
      `group` - Artifact group.
      `category` - Artifact category.
      `status` - Artifact status.
      `customer` - Customer.
      `priority` - Artifact priority.
      `estimatedEffort` - Estimated effort to close artifact. This will be ignored if autosumming is set to true.
      `remainingEffort` - Remaining effort to close artifact. This will be ignored if autosumming is set to true.
      `autosumming` - Determines whether autosumming should be enabled for the newly created artifact.
      `points` - The story points for this artifact. This will be ignored if autoSummingPoints is set to true.
      `autoSummingPoints` - Determines whether autoSummingPoints should be enabled for the newly created artifact.
      `assignedUsername` - User this artifact should be assigned to.
      `releaseId` - Release this artifact is assigned with.
      `planningFolderId` - planning folder, this artifact belongs to
      `teamId` - team, this artifact belongs to
      `flexFields` - Flex field values.
      `attachments` - attached file List (or null)
      `tagNames` - tag names
    Returns:
      Newly created artifact object.
    Throws:
      `RemoteException`

  - ### moveArtifact

    public ArtifactSoapDO moveArtifact(String sessionId, String artifactId, String targetFolderId, String newAssignee) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Moves an artifact to a specified target folder.
    Specified by:
      `moveArtifact` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `artifactId` - ID of artifact to move.
      `targetFolderId` - Target folder ID.
      `newAssignee` - The username to assign the newly moved artifact to.
    Returns:
      New artifact data object
    Throws:
      `RemoteException`

  - ### moveArtifact2

    public Artifact2SoapDO moveArtifact2(String sessionId, String artifactId, String targetFolderId, String newAssignee) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Moves an artifact to a specified target folder.
    Specified by:
      `moveArtifact2` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `artifactId` - ID of artifact to move.
      `targetFolderId` - Target folder ID.
      `newAssignee` - The username to assign the newly moved artifact to.
    Returns:
      New artifact data object
    Throws:
      `RemoteException`

  - ### deleteArtifact

    public void deleteArtifact(String sessionId, String artifactId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Deletes an artifact.
    Specified by:
      `deleteArtifact` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `artifactId` - Artifact id.
    Throws:
      `RemoteException`

  - ### getAllowedWorkflowTransitionList

    public WorkflowTransitionSoapList getAllowedWorkflowTransitionList(String sessionId, String trackerId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Gets workflow transitions for the tracker.
    Specified by:
      `getAllowedWorkflowTransitionList` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerId` - Tracker id.
    Returns:
      Workflow definitions list.
    Throws:
      `RemoteException`

  - ### getAllowedWorkflowTransitionList2

    public WorkflowTransition2SoapList getAllowedWorkflowTransitionList2(String sessionId, String trackerId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Gets workflow transitions for the tracker.
    Specified by:
      `getAllowedWorkflowTransitionList2` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerId` - Tracker id.
    Returns:
      Workflow definitions list.
    Throws:
      `RemoteException`

  - ### copyWorkflowTransitions

    public void copyWorkflowTransitions(String sessionId, String srcTrackerId, String dstTrackerId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Copies workflow transitions between two trackers.
    Specified by:
      `copyWorkflowTransitions` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `srcTrackerId` - Tracker id.
      `dstTrackerId` - Tracker id.
    Throws:
      `RemoteException`

  - ### cloneTracker

    public Tracker2SoapDO cloneTracker(String sessionId, String srcTrackerId, String destTrackerTitle, String destTrackerDescription) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Clone Tracker within the same project
    Specified by:
      `cloneTracker` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `srcTrackerId` - Tracker id.
      `destTrackerTitle` - destination Tracker tile
      `destTrackerDescription` - destination Tracker description
    Returns:
      returns cloned Tracker
    Throws:
      `RemoteException`

  - ### cloneTrackerAcrossProject

    public Tracker2SoapDO cloneTrackerAcrossProject(String sessionId, String srcTrackerId, String destProjectId, String destTrackerTitle, String destTrackerDescription) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Clone Tracker across the project
    Specified by:
      `cloneTrackerAcrossProject` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `srcTrackerId` - Tracker id.
      `destProjectId` - on which project you need to create a tracker
      `destTrackerTitle` - destination tracker title
      `destTrackerDescription` - destination tracker description
    Returns:
      returns cloned tracker
    Throws:
      `RemoteException`

  - ### createArtifactDependency

    public void createArtifactDependency(String sessionId, String originId, String targetId, String desc) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Creates an artifact dependency between two artifacts.
    Specified by:
      `createArtifactDependency` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `originId` - Origin artifact id.
      `targetId` - Target artifact id.
      `desc` - Description for the dependency.
    Throws:
      `RemoteException`

  - ### removeArtifactDependency

    public void removeArtifactDependency(String sessionId, String originId, String targetId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Removes an artifact dependency between two artifacts.
    Specified by:
      `removeArtifactDependency` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `originId` - Origin artifact id.
      `targetId` - Target artifact id.
    Throws:
      `RemoteException`

  - ### setArtifactRank

    public void setArtifactRank(String sessionId, String planningFolderId, String artfToRankId, String artfBeforeId, String artfAfterId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Sets the rank of an artifact relative to one or more other artifacts
    Specified by:
      `setArtifactRank` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `planningFolderId` - the id of the planning folder in which we are doing the rank
      `artfToRankId` - the artifact to rank
      `artfBeforeId` - the artifact that should be before it
      `artfAfterId` - the artifact that should be after it
    Throws:
      `RemoteException`

  - ### getChildDependencyList

    public ArtifactDependencySoapList getChildDependencyList(String sessionId, String artifactId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Gets the dependency list for an artifact where the artifact is the origin artifact.
    Specified by:
      `getChildDependencyList` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `artifactId` - Artifact id.
    Returns:
      dependency list
    Throws:
      `RemoteException`

  - ### getParentDependencyList

    public ArtifactDependencySoapList getParentDependencyList(String sessionId, String artifactId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Gets the dependency list for an artifact where the artifact is the target artifact.
    Specified by:
      `getParentDependencyList` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `artifactId` - Artifact id.
    Returns:
      dependency list
    Throws:
      `RemoteException`

  - ### reorderTrackers

    public void reorderTrackers(String sessionId, String[] trackerIds) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Sets a new order of the trackers within a project.
    Specified by:
      `reorderTrackers` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerIds` - An array of the tracker ids in their new order.
    Throws:
      `RemoteException`

  - ### getUnitsByProject

    public TrackerUnitSoapList getUnitsByProject(String sessionId, String projectId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Gets the units for a given project.
    Specified by:
      `getUnitsByProject` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `projectId` - The id of the project to retrieve the units
    Throws:
      `RemoteException`

  - ### getAllowedWorkflowTransitionList3

    public WorkflowTransition3SoapList getAllowedWorkflowTransitionList3(String sessionId, String trackerId) throws RemoteException
    Description copied from interface: `ITrackerAppSoap`
    Gets workflow transitions for the tracker.
    Specified by:
      `getAllowedWorkflowTransitionList3` in interface `ITrackerAppSoap`
    Parameters:
      `sessionId` - User session id.
      `trackerId` - Tracker id.
    Returns:
      Workflow definitions list.
    Throws:
      `RemoteException`